Name: dpkg
Version: 1.6.15
Release: alt6

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: Package maintenance system for Debian Linux
License: GPL
Group: File tools
Source: ftp://ftp.debian.org/debian/dists/potato/main/source/base/%{name}_%version.tar.gz
Patch: %name-no-debiandoc.patch
Patch1: %name-opt.patch
Patch2: %name-acfix.patch

# hack to avoid find-perl-provides bug 
Provides: perl(controllib.pl)

# Automatically added by buildreq on Mon Oct 14 2002
BuildRequires: emacs-common gcc-c++ libstdc++-devel

%description
This package contains the programs which handle the installation and
removal of packages in Debian Linux distributions.

The primary interface for the dpkg suite is the `dselect' program; a
more low-level and less user-friendly interface is available in the
form of the `dpkg' command.

In order to unpack and build Debian source packages you will need to
install the developers' package `dpkg-dev' as well as this one.

# this doesn't work
%add_findprov_lib_path %_libdir/%name

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# another hack to avoid find-perl-provides bug 
%__subst 's,\(us\)e\( file\),\1\2,g' scripts/dpkg-scansources*
# do not build utils
%__subst 's, utils,,' Makefile.in

%build
%configure \
	--enable-shared \
	--without-dselect \
	--with-admindir=%_localstatedir/%name
%make

%install
%__install -d $RPM_BUILD_ROOT%_docdir/%name
%make_install DESTDIR=$RPM_BUILD_ROOT \
	gnulocaledir=$RPM_BUILD_ROOT%_datadir/locale install
%__gzip -9nf $RPM_BUILD_ROOT%_docdir/%name/*

%find_lang --with-man --output=%name.lang %name dpkg-deb deb deb-old install-info update-alternatives update-rc dselect

%files -f %name.lang
%doc doc/database-structure.fig doc/internals.sgml
%doc $RPM_BUILD_ROOT%_defaultdocdir/%name/*
%_bindir/*
%_sbindir/*dpkg*
%exclude %_sbindir/install-info
%_libdir/%name
%_localstatedir/%name
%_mandir/man?/*
%exclude %_mandir/man?/*info*
%exclude %_mandir/man?/*alternatives*
%exclude %_mandir/man?/*update*

%changelog
* Thu May 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt6
- do not build utils (md5sum, start-stop-daemon).
- use find-lang --with-man.

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt5
- fixed dependencies.

* Mon May 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt4
- exclude {%%_sbindir,%%_man8dir}/*start-stop-daemon*

* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt3
- exclude manpages provided by other packages

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt2
- rebuild with gcc3
- comment locale man pages: must be in man-pages-locale package (ALT Packaging Policy).
- little spec improvements

* Tue Nov 13 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt1
- First build for Sisyphus. Thanks PLD Team for specfile.
